Retrieves map place data for a specific map widget.
DEPRECATED (V202209): Use GET /api/v202209/widget/map/{specificWidgetId} instead.
Returns places of type “Building” that have addresses. Does NOT support global dashboard filtering
with Topmost Place or Place Group API filters. Returns an empty list in offline mode.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific Map widget instance | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
MapPlace
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | AddressChild | |||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| placeCode | The place code | string | ||||||||||||||||||||||||||||||||||||
| placeId | The identifier for place | integer (int32) | ||||||||||||||||||||||||||||||||||||
| placeInfo | The place information | string | ||||||||||||||||||||||||||||||||||||
Example Response
[
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "placeCode": "string", "placeId": 1, "placeInfo": "string"
}
]